## iceweasel 9.0~b5

=== debian/changelog ===
iceweasel (9.0~b5-1) experimental; urgency=low

  * New upstream beta release.
  * debian/upstream.mk:
    - Fix-up download helper rules for aurora.
    - Refresh source tarball when source.filter is modified.

 -- Mike Hommey <glandium@debian.org>  Fri, 09 Dec 2011 07:56:25 +0100
