## iceweasel 9.0~b6

=== debian/changelog ===
iceweasel (9.0~b6-1) experimental; urgency=low

  * New upstream beta release.

 -- Mike Hommey <glandium@debian.org>  Fri, 16 Dec 2011 07:21:21 +0100
