## iceweasel 10.0~b1

=== debian/changelog ===
iceweasel (10.0~b1-2) experimental; urgency=low

  * js/src/Makefile.in: Use YARR interpreter instead of PCRE on platforms
    where YARR JIT is not supported. bz#691898.

 -- Mike Hommey <glandium@debian.org>  Sat, 24 Dec 2011 10:14:25 +0100

iceweasel (10.0~b1-1) experimental; urgency=low

  * New upstream beta release.
  * debian/source.filter: The PNG test suite moved.
  * debian/xulrunner-GRE_VERSION.{links,install}.in: Hyphenation
    dictionaries moved inside omni.jar.
  * debian/control*: Bump libvpx-dev build dependency.
  * debian/xulrunner-GRE_VERSION.*.in: Omni.jar was renamed omni.ja.

 -- Mike Hommey <glandium@debian.org>  Fri, 23 Dec 2011 10:07:13 +0100
