## iceweasel 10.0~b4

=== debian/changelog ===
iceweasel (10.0~b4-1) experimental; urgency=low

  * New upstream beta release.

 -- Mike Hommey <glandium@debian.org>  Fri, 13 Jan 2012 07:39:58 +0100

iceweasel (10.0~b3-1) experimental; urgency=low

  * New upstream beta release.

 -- Mike Hommey <glandium@debian.org>  Fri, 06 Jan 2012 08:47:55 +0100

iceweasel (10.0~b2-1) experimental; urgency=low

  * New upstream beta release.
  * js/src/Makefile.in, js/src/vm/RegExpObject*, js/src/yarr/wtfbridge.h:
    Use YARR interpreter instead of PCRE on platforms where YARR JIT is
    not supported. bz#691898.

 -- Mike Hommey <glandium@debian.org>  Fri, 30 Dec 2011 17:40:52 +0100
