## iceweasel 10.0~b5

=== debian/changelog ===
iceweasel (10.0~b5-1) experimental; urgency=low

  * New upstream beta release.
  * debian/upstream.mk: Use a separate variable for download version.
  * debian/rules: Call configure directly for build-browser, instead of
    using dh_auto_configure. Closes: #656313.

 -- Mike Hommey <glandium@debian.org>  Fri, 20 Jan 2012 09:31:36 +0100
