## iceweasel 10.0~b6

=== debian/changelog ===
iceweasel (10.0~b6-1) experimental; urgency=low

  * New upstream beta release.
  * debian/upstream.mk: Add rules to download l10n sources.
  * debian/rules, debian/control*, debian/l10n,
    debian/branding/locales/Makefile.in: Add rules to build l10n packages.

  * l10n-ru/browser/chrome/browser-region/region.properties: Place google
    and gmail before yandex. (imported from iceweasel-l10n)
  * browser/locales/Makefile.in, toolkit/locales/Makefile.in: Don't
    build some toolkit l10n from browser/.

 -- Mike Hommey <glandium@debian.org>  Fri, 27 Jan 2012 11:41:23 +0100
