=== debian/control ===
--- 
+++ 
@@ -222,3 +222,52 @@
  This package provides the debugging symbols for the xulrunner-10.0
  package.
 Homepage: http://wiki.mozilla.org/XUL:Lib_XUL
+
+Package: iceweasel-l10n-all
+Architecture: all
+Depends: ${misc:Depends}, iceweasel-l10n-af, iceweasel-l10n-ak, iceweasel-l10n-ar, iceweasel-l10n-as, iceweasel-l10n-ast, iceweasel-l10n-be, iceweasel-l10n-bg, iceweasel-l10n-bn-bd, iceweasel-l10n-bn-in, iceweasel-l10n-br, iceweasel-l10n-bs, iceweasel-l10n-ca, iceweasel-l10n-cs, iceweasel-l10n-csb, iceweasel-l10n-cy, iceweasel-l10n-da, iceweasel-l10n-de, iceweasel-l10n-el, iceweasel-l10n-en-gb, iceweasel-l10n-en-za, iceweasel-l10n-eo, iceweasel-l10n-es-ar, iceweasel-l10n-es-cl, iceweasel-l10n-es-es, iceweasel-l10n-es-mx, iceweasel-l10n-et, iceweasel-l10n-eu, iceweasel-l10n-fa, iceweasel-l10n-fi, iceweasel-l10n-fr, iceweasel-l10n-fy-nl, iceweasel-l10n-ga-ie, iceweasel-l10n-gd, iceweasel-l10n-gl, iceweasel-l10n-gu-in, iceweasel-l10n-he, iceweasel-l10n-hi-in, iceweasel-l10n-hr, iceweasel-l10n-hu, iceweasel-l10n-hy-am, iceweasel-l10n-id, iceweasel-l10n-is, iceweasel-l10n-it, iceweasel-l10n-ja, iceweasel-l10n-kk, iceweasel-l10n-kn, iceweasel-l10n-ko, iceweasel-l10n-ku, iceweasel-l10n-lg, iceweasel-l10n-lt, iceweasel-l10n-lv, iceweasel-l10n-mai, iceweasel-l10n-mk, iceweasel-l10n-ml, iceweasel-l10n-mn, iceweasel-l10n-mr, iceweasel-l10n-nb-no, iceweasel-l10n-nl, iceweasel-l10n-nn-no, iceweasel-l10n-nso, iceweasel-l10n-or, iceweasel-l10n-pa-in, iceweasel-l10n-pl, iceweasel-l10n-pt-br, iceweasel-l10n-pt-pt, iceweasel-l10n-rm, iceweasel-l10n-ro, iceweasel-l10n-ru, iceweasel-l10n-si, iceweasel-l10n-sk, iceweasel-l10n-sl, iceweasel-l10n-son, iceweasel-l10n-sq, iceweasel-l10n-sr, iceweasel-l10n-sv-se, iceweasel-l10n-sw, iceweasel-l10n-ta, iceweasel-l10n-ta-lk, iceweasel-l10n-te, iceweasel-l10n-th, iceweasel-l10n-tr, iceweasel-l10n-uk, iceweasel-l10n-vi, iceweasel-l10n-zh-cn, iceweasel-l10n-zh-tw, iceweasel-l10n-zu
+Description: All language packages for Iceweasel (meta)
+ Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
+ with support for modern web application technologies.
+ .
+ This is a metapackage depending on all available localizations of Iceweasel.
+
+Package: iceweasel-l10n-af
+Architecture: all
+Depends: ${misc:Depends},
+         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
+Recommends: 
+Description: Afrikaans language package for Iceweasel
+ Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
+ with support for modern web application technologies.
+ .
+ This package contains the localization of Iceweasel in Afrikaans.
+
+Package: iceweasel-l10n-ak
+Architecture: all
+Depends: ${misc:Depends},
+         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
+Recommends: 
+Description: Akan language package for Iceweasel
+ Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
+ with support for modern web application technologies.
+ .
+ This package contains the localization of Iceweasel in Akan.
+
+Package: iceweasel-l10n-ar
+Architecture: all
+Depends: ${misc:Depends},
+         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
+Recommends: 
+Description: Arabic language package for Iceweasel
+ Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
+ with support for modern web application technologies.
+ .
+ This package contains the localization of Iceweasel in Arabic.
+
+Package: iceweasel-l10n-as
+Architecture: all
+Depends: ${misc:Depends},
+         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
+Recommends: 
+Description: Assamese language package for Iceweasel
