=== debian/rules ===
--- 
+++ 
@@ -84,7 +84,21 @@
 $(foreach f,$(IN_FILES),$(eval $(call preprocess, $(f))))
 
 GENERATED_FILES += $(filter-out debian/control,$(PREPROCESSED_FILES))
-debian/control: debian/rules debian/changelog
+debian/control: debian/rules debian/changelog debian/l10n/iceweasel-l10n.control
+
+L10N_PACKAGES = $(foreach lang,$(L10N_LANGS),$(shell echo iceweasel-l10n-$(lang) | tr A-Z a-z))
+L10N_PACKAGES_CONTROLS = $(foreach pkg,$(L10N_PACKAGES),debian/l10n/$(pkg).control)
+L10N_PACKAGES_DEPS = $(shell echo $(L10N_PACKAGES) | sed 's/ /, /g')
+REMOVE_L10N_PACKAGES_CONTROLS = $(foreach ctrl,$(filter-out $(L10N_PACKAGES_CONTROLS),$(wildcard debian/l10n/iceweasel-l10n-*.control)),$(ctrl)-rm)
+
+$(REMOVE_L10N_PACKAGES_CONTROLS): %-rm:
+	rm $*
+
+debian/l10n/iceweasel-l10n.control: $(L10N_PACKAGES_CONTROLS) $(REMOVE_L10N_PACKAGES_CONTROLS)
+	@($(foreach file,$(L10N_PACKAGES_CONTROLS),echo;echo "%include $(notdir $(file))";)) > $@
+
+$(L10N_PACKAGES_CONTROLS): debian/l10n/iceweasel-l10n-%.control: debian/l10n/iceweasel-l10n.control.in
+	$(PYTHON) config/Preprocessor.py --marker % -Fsubstitution -DL10N_LANG=$* -DL10N_LANGUAGE="$(shell isoquery -n -i 639 $(firstword $(subst -, ,$*)) | awk -F[\\t,\;] '{print $$4}')$(if $(word 2,$(subst -, ,$*)), ($(shell isoquery -n -i 3166 $(word 2,$(subst -, ,$*)) | awk -F[\\t,] '{print $$4}')))" -DL10N_RECOMMENDS="$(shell awk -F': *' '$$1 == "$*" {print $$2}' debian/l10n/recommends)" $< > $@
 
 ifeq ($(shell lsb_release -sc),lenny)
 DICT_DIR := /usr/share/myspell/dicts
@@ -92,8 +106,10 @@
 DICT_DIR := /usr/share/hunspell
 endif
 
+$(PREPROCESSED_FILES): VARS = GRE_VERSION JS_SO_VERSION DICT_DIR
+debian/control: VARS += L10N_PACKAGES_DEPS
 $(PREPROCESSED_FILES):
-	$(PYTHON) config/Preprocessor.py --marker % -Fsubstitution $(foreach var,GRE_VERSION JS_SO_VERSION DICT_DIR,-D$(var)=$($(var)) )$< > $@
+	$(PYTHON) config/Preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< > $@
 
 %/Makefile: DIR=$(firstword $(subst /, ,$@))
 %/Makefile:
@@ -174,59 +190,10 @@
 stamps/build-check-resources:: stamps/build-xulrunner stamps/build-browser
 	$(PYTHON) debian/check_resources.py -a build-browser/dist/bin -x build-xulrunner/dist/bin
 
-override_dh_auto_build: stamps/build-check-branding stamps/build-check-resources
+L10N_BUILD_STAMPS = $(foreach lang,$(L10N_LANGS),stamps/build-l10n-$(lang))
+stamps/build-l10n:: $(L10N_BUILD_STAMPS)
 
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-include debian/test.mk
-endif
-
-override_dh_auto_clean::
-	rm -f MPL
-	rm -f $(GENERATED_FILES) config/Expression.py[co]
-	rm -rf stamps
-
-	dh_auto_clean --builddirectory=build-browser
-	dh_auto_clean --builddirectory=build-xulrunner
-	find . -name "*.pyc" | xargs rm -f
-
-	for dir in $(AUTOCONF_DIRS); do \
-		for file in config.guess config.sub; do \
-			sed -i '2!b;/^exec "/ d' $$dir/$$file; \
-		done; \
-	done
-
-override_dh_auto_install: stamps/install-browser stamps/install-xulrunner
-
-stamps/install-xulrunner:: build-xulrunner/debian/installer/package-manifest
-	dh_auto_install --sourcedirectory=build-xulrunner/xulrunner/installer -- \
-		MOZ_APP_BASE_VERSION=$(GRE_VERSION) \
-		MOZ_PKG_MANIFEST=$(CURDIR)/$< \
-		MOZ_NONLOCALIZED_PKG_LIST="xpcom xulrunner debian" \
-		MOZ_LOCALIZED_PKG_LIST=en-US
-
-	mv debian/tmp/usr/bin/xulrunner debian/tmp/usr/bin/xulrunner-$(GRE_VERSION)
-
-	# Fixup permissions
-	find debian/tmp/usr/share debian/tmp/usr/include -type f -print0 | xargs -0 chmod 644
-
-	# Replace some installed files by symlinks
-	for d in lib bin; do \
-		cd "$(CURDIR)/debian/tmp/usr/lib/xulrunner-devel-$(GRE_VERSION)/sdk/$$d"; \
-		for f in *; do \
-			if [ -f "$(CURDIR)/debian/tmp/usr/lib/xulrunner-$(GRE_VERSION)/$$f" ]; then \
-				rm -f $$f ; ln -s /usr/lib/xulrunner-$(GRE_VERSION)/$$f $$f; \
-			fi; \
-		done; \
-	done
-
-	dh_auto_install --sourcedirectory=build-xulrunner/js/src -- prefix=/usr MODULE=mozjs FORCE_STATIC_LIB=
-	cp -r debian/tmp/usr/include/xulrunner-$(GRE_VERSION)/vm debian/tmp/usr/include/mozjs
-	rm debian/tmp/usr/bin/js-config
-	find debian/tmp/usr/include/mozjs -type f -printf %P\\n | while read f; do \
-		file=$$(echo debian/tmp/usr/include/xulrunner-$(GRE_VERSION)/$$f); \
-		rm $$file; \
-		ln -s /usr/include/mozjs/$$f $$file; \
-	done
-	for f in /usr/include/nspr/* /usr/include/nss/*; do \
-		ln -s $$f debian/tmp/usr/include/xulrunner-$(GRE_VERSION)/$$(basename $$f); \
-	done
+$(L10N_BUILD_STAMPS):: stamps/build-l10n-%: stamps/build-xulrunner stamps/build-browser
+	$(if $(wildcard l10n),,mkdir -p l10n)
+	$(if $(wildcard l10n/$*),,ln -sf ../l10n-$* l10n/$*)
+	$(MAKE) -C build-xulrunner/toolkit/locales libs-$* L10NBASEDIR=$(CURDIR)/l10n MOZ_CHROME_FILE_FORMAT=flat DIST=$(CURDIR)/build-browser/dist LOCALE_MERGEDIR=$(CURDIR)/build-xulrunner/l10n-$* BOTH_MANIFESTS=1
