## iceweasel 10.0.2

=== debian/changelog ===
iceweasel (10.0.2-1) unstable; urgency=low

  * New upstream release. Addresses CVE-2012-3026.
  * debian/import-tar.py: Allow to import multi-tarball sources.
  * debian/rules: Install js/*.h in /usr/include/mozjs/. Closes: #658315.
  * debian/xulrunner.mozconfig, debian/control*: Build against system
    python-ply.
  * debian/control*: Build conflict with liboss4-salsa-dev.

  * xpcom/typelib/xpidl/Makefile.in: Ship xpidllex.py and xpidlyacc.py.
    bz#723861.
  * config/autoconf.mk.in, configure.in, xpcom/idl-parser/Makefile.in,
    xpcom/typelib/xpidl/Makefile.in: Allow to build with system python ply
    library. bz#728229.
  * browser/app/profile/firefox.js: Don't auto-disable extensions in system
    directories. Closes: #656378 and friends.

 -- Mike Hommey <glandium@debian.org>  Fri, 17 Feb 2012 18:40:48 +0100

iceweasel (10.0.1-1) unstable; urgency=low

  * New upstream release.
  * Fixes for mfsa2012-10, also known as CVE-2012-0452.

 -- Mike Hommey <glandium@debian.org>  Sat, 11 Feb 2012 08:26:28 +0100

iceweasel (10.0-3) unstable; urgency=low

  * debian/upstream.mk: Add rule to download compare-locales for a given
    release.
  * debian/rules: Build locales from build-browser only, and use
    compare-locales to merge them with en-US for non-existing strings.

  * browser/locales/Makefile.in, toolkit/locales/Makefile.in: Revert previous
    patch.
  * browser/makefiles.sh: Add toolkit l10n Makefiles to browser/makefiles.sh.
    bz#721737.

 -- Mike Hommey <glandium@debian.org>  Fri, 10 Feb 2012 08:32:58 +0100

iceweasel (10.0-2) unstable; urgency=low

  * debian/control*: Bump libvpx-dev build dependency to 1.0.0.
  * configure.in: Fix FTBFS with libvpx 1.0.0.

 -- Mike Hommey <glandium@debian.org>  Sun, 05 Feb 2012 11:29:51 +0100
