=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
                libbz2-dev,
                libreadline-dev | libreadline5-dev,
                python,
+               python-ply,
                dpkg-dev (>= 1.13.19),
                libnspr4-dev (>= 4.8.8),
                libnss3-dev (>= 3.13.1),
@@ -30,7 +31,7 @@
                libnotify-dev,
                libffi-dev,
                libevent-dev (>= 1.4.1),
-               libvpx-dev (>= 0.9.7),
+               libvpx-dev (>= 1.0.0),
                mesa-common-dev,
                zip,
                unzip,
@@ -46,6 +47,7 @@
                xsltproc,
                lsb-release
 Build-Conflicts: graphicsmagick-imagemagick-compat,
+                 liboss4-salsa-dev,
                  libhildonmime-dev,
                  libosso-dev
 Standards-Version: 3.9.2.0
@@ -183,6 +185,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         python-ply,
          xulrunner-10.0 (>= ${binary:Version}),
          libnss3-dev,
          libnspr4-dev,
@@ -273,5 +276,3 @@
 Architecture: all
 Section: localization
 Depends: ${misc:Depends},
-         iceweasel (>= ${source:Version}), iceweasel (<< ${source:Version}.1~)
-Recommends:
